Bug 8988 - item status uses authorized value description for intranet
Summary: item status uses authorized value description for intranet
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-30 16:11 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.46 KB, patch)
2012-10-30 16:14 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8988: item status uses authorized value description for intranet (2.56 KB, patch)
2012-10-30 19:32 UTC, Owen Leonard
Details | Diff | Splinter Review
[3.6.x] Proposed patch (1.93 KB, patch)
2012-11-29 09:48 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[3.6][SIGNED-OFF] Bug 8988: item status uses authorized value description for intranet (2.03 KB, patch)
2013-03-14 13:40 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2012-10-30 16:11:23 UTC
In OPAC details page, item status comes form authorized values used for notforloan. It should use opac specific description.
Comment 1 Fridolin SOMERS 2012-10-30 16:14:44 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-10-30 19:32:29 UTC
Created attachment 13123 [details] [review]
[SIGNED-OFF] Bug 8988: item status uses authorized value description for intranet

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2012-11-07 12:43:03 UTC
QA Comment:
Small patch. Code looks good. Small change in template with corresponding change in Items module (only adding a template var). No side-effects expected.
Passed QA
Comment 4 Marcel de Rooy 2012-11-08 14:19:00 UTC
Looks like I forgot to update the status..
Comment 5 Jared Camins-Esakov 2012-11-10 01:14:14 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2012-11-11 05:57:21 UTC
Pushed to 3.8.x, will be in 3.8.7
Comment 7 Paul Poulain 2012-11-12 13:44:25 UTC
Patch pushed to branch 3.10.x
Comment 8 Liz Rea 2012-11-28 01:04:28 UTC
Patches do not apply to 3.6.x, please reopen and submit a patch for 3.6.x if necessary. 

Thanks!
Comment 9 Fridolin SOMERS 2012-11-29 09:48:16 UTC Comment hidden (obsolete)
Comment 10 Owen Leonard 2013-03-14 13:40:49 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2013-04-02 09:39:51 UTC
QA comment:

[3.6] $nfldata->{'lib_opac'} is never defined.
Please fix the sql query.

Marked as Failed QA.
Comment 12 Fridolin SOMERS 2013-06-13 07:44:53 UTC
Forget about 3.6 patch, 3.10 and 3.8 are enough now that we have 3.12